Page MenuHomePhabricator

Half a megabyte of JavaScript / CSS loading on view pages
Closed, ResolvedPublic1 Story Points

Description

Moved from T112401#1791282:

On the main page of enwiki while logged in, I get:

oojs-ui227.5 kB
oojs-ui.styles.icons128.6 kB
oojs-ui.styles95.5 kB
oojs-ui.styles.icons-editing-core27.9 kB
oojs-ui.styles.indicators24.8 kB

@matmarex was able to pinpoint the cause -- VE and its 'ext.visualEditor.switching' module.
Regression introduced in rEVEDb550323b534b: Use mw.loader.using instead of weird hacks to load OOjs UI on action=edit.

Event Timeline

ori created this task.Nov 7 2015, 7:06 PM
ori assigned this task to Krenair.
ori raised the priority of this task from to High.
ori updated the task description. (Show Details)
ori added projects: VisualEditor, Performance.
ori added subscribers: ori, matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 7 2015, 7:06 PM

Change 251736 had a related patch set uploaded (by Alex Monk):
Only load switching module (depending on OOUI etc.) on edit pages

https://gerrit.wikimedia.org/r/251736

Change 251737 had a related patch set uploaded (by Alex Monk):
Only load switching module (depending on OOUI etc.) on edit pages

https://gerrit.wikimedia.org/r/251737

Change 251736 merged by jenkins-bot:
Only load switching module (depending on OOUI etc.) on edit pages

https://gerrit.wikimedia.org/r/251736

Change 251737 merged by jenkins-bot:
Only load switching module (depending on OOUI etc.) on edit pages

https://gerrit.wikimedia.org/r/251737

This was deployed, but I'm having trouble confirming that it fixed the issue. Please check.

Krenair closed this task as Resolved.Nov 7 2015, 8:02 PM
krenair@tin:/srv/mediawiki-staging (master)$ echo 'https://www.wikimedia.org/static/1.27.0-wmf.5/extensions/VisualEditor/modules/ve-mw/init/targets/ve.init.mw.DesktopArticleTarget.init.js' | mwscript purgeList.php
Purging 1 urls
Done!
krenair@tin:/srv/mediawiki-staging (master)$

And now it seems to only get loaded on edit pages.

He7d3r added a subscriber: He7d3r.Nov 8 2015, 10:45 AM
Elitre added a subscriber: Elitre.Nov 9 2015, 12:27 PM
Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.Nov 9 2015, 4:53 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

(For anybody browsing historical bugs, we're now working to slim down OOjs UI so that loading it on all pages is not a catastrophic performance regression. See T113681 and T125292 for details and progress.)